import { AuthRepository } from '@app/domain/authentification/auth.repository';
import { RegisterDto } from '@app/domain/authentification/dto/register-dto';

export class RegisterUseCase {
  constructor(private readonly authRepo: AuthRepository) {}

  execute(registerDto: RegisterDto) {
    return this.authRepo.register(registerDto);
  }
}
